Name:           iasl
Version:        20120913
Release:        7%{?dist}
Summary:        Intel ASL compiler/decompiler

Group:          Development/Languages
License:        Intel ACPI
URL:            https://www.acpica.org/
Source0:        http://www.acpica.org/download/acpica-unix-%{version}.tar.gz
Source1:        iasl-README.Fedora
Source2:	iasl.1
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  bison patchutils flex

# Configure.  See top of patch for details.
Patch0:         iasl-config.patch
Patch1:	        debian-big_endian.patch
Patch2:	        debian-unaligned.patch
Patch3:	        iasl-signed-char.patch

%description
iasl compiles ASL (ACPI Source Language) into AML (ACPI Machine Language),
which is suitable for inclusion as a DSDT in system firmware. It also can
disassemble AML, for debugging purposes.


%prep
%setup -q -n acpica-unix-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
cp -p %{SOURCE1} README.Fedora
cp -p %{SOURCE2} iasl.1

%build
# does not compile with %{?_smp_mflags}
make


%install
rm -rf $RPM_BUILD_ROOT
install -p -D generate/unix/bin*/iasl $RPM_BUILD_ROOT%{_bindir}/iasl
install -m 0644 -p -D iasl.1 $RPM_BUILD_ROOT%{_mandir}/man1/iasl.1


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc changes.txt README.Fedora
%{_bindir}/iasl
%{_mandir}/man1/iasl.1.gz


%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20120913-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Nov 23 2012 Dan Horák <dan[at]danny.cz> - 20120913-6
- drop hardcoded -m32/-m64 flags, not needed in buildsystem and -m32 doesn't work on s390

* Wed Oct 17 2012 Paolo Bonzini <pbonzini@redhat.com> - 20120913-5
- Fixed debian-unaligned.patch warnings for 32-bit arches

* Wed Oct 17 2012 Paolo Bonzini <pbonzini@redhat.com> - 20120913-4
- Incorporated Debian patches for endian-cleanliness
  (http://lists.acpica.org/pipermail/devel/2010-July/000159.html);
- iasl-signed-char.patch to fix PPC -Werror build
- Resolves: #865013, #856856

* Thu Oct 11 2012 Richard W.M. Jones <rjones@redhat.com> - 20120913-3
- Update to latest upstream version (20120913).
- Fix project homepage.
- Remove the old patches, since they don't affect the new version.
- Add a configuration patch.
- Fix .gitignore file.
- Update build and install rules for new source layout.

* Wed Oct 10 2012 Richard W.M. Jones <rjones@redhat.com> - 20100528-6
- Fix errors found using gcc -Wall (RHBZ#856856).

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20100528-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20100528-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20100528-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 01 2010 Matthew Garrett <mjg@redhat.com> - 20100528-2
- Ship the manpage rather than pull it from a Debian diff

* Thu Jul 01 2010 Matthew Garrett <mjg@redhat.com> - 20100528-1
- Update to latest upstream

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20090123-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20090123-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 15 2009 Till Maas <opensource@till.name> - 20090123-1
- Update to new upstream release

* Sat Dec 20 2008 Till Maas <opensource@till.name> - 20081203-1
- Update to new upstream release
- Update Source0

* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 20061109-4
- Autorebuild for GCC 4.3

* Sat Aug 11 2007 Till Maas <opensource till name> - 20061109-3
- update License Tag to new Guidelines
- rebuild because of #251794

* Tue Feb 20 2007 Till Maas <opensource till name> - 20061109-2
- Make description line less than 80 instead of less that 81 characters long
- Permissions of manpage are 0644 instead of 0755 now

* Thu Feb 01 2007 Till Maas <opensource till name> - 20061109-1
- initial spec for Fedora Extras
